package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.HceArticle;
import com.usky.common.mybatis.core.CrudService;
import com.usky.system.domain.HceCategory;
import com.usky.system.service.vo.HceArticleVO;

/**
 * <p>
 * 帮助中心_内容管理 服务类
 * </p>
 *
 * @author han
 * @since 2023-08-30
 */
public interface HceArticleService extends CrudService<HceArticle> {

    CommonPage<HceArticle> page(HceArticleVO hceArticleVO);

    void add(HceArticle hceArticle);

    void update(HceArticle hceArticle);

    void remove(Integer id);
}
